Skip to main content
GET
/
api2
/
v1
/
services
/
{serviceUid}
Get service
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/services/{serviceUid} \
  --header 'Authorization: <api-key>'
{
  "dateCreated": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "publicName": "<string>",
  "sourceLangs": [
    "<string>"
  ],
  "targetLangs": [
    "<string>"
  ],
  "uid": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

serviceUid
string
required

UID of the service

Response

OK

Service details

billingUnit
enum<string>

Billing unit for the service

Available options:
Character,
Word,
Page,
Hour
dateCreated
string<date-time>

Date the service was created

generationMode
enum<string>

Controls when quotes and analyses are generated

Available options:
ANALYSIS_AND_QUOTE,
ANALYSIS,
NONE
name
string

Internal name of the service

publicName
string

Public-facing name of the service

sourceLangs
string[]

BCP 47 source language codes

targetLangs
string[]

BCP 47 target language codes

type
enum<string>

Service type

Available options:
ProfessionalTranslation
uid
string

Unique identifier of the service